Google Web Toolkit (Beta)
Search this site:

# Class FlowPanel

public class FlowPanel
extends ComplexPanel
A panel that formats its child widgets using the default HTML layout behavior.

## Constructors

FlowPanel() | Creates an empty flow panel.

## Methods

add(Widget) | Adds a new child widget to the panel.
insert(Widget, int) | Inserts a widget before the specified index.

## Constructor Detail

### FlowPanel

public FlowPanel()
Creates an empty flow panel.

## Method Detail

### add

public void add(Widget w)
Adds a new child widget to the panel.

#### Parameters

w
  the widget to be added

### insert

public void insert(Widget w, int beforeIndex)
Inserts a widget before the specified index.

#### Parameters

w
  the widget to be inserted
beforeIndex
  the index before which it will be inserted